# eric5.Preferences.ConfigurationPages.DebuggerPythonPage

Module implementing the Debugger Python configuration page.

### Global Attributes

None

### Classes

DebuggerPythonPage | Class implementing the Debugger Python configuration page.

### Functions

create | Module function to create the configuration page.

## DebuggerPythonPage

Class implementing the Debugger Python configuration page.

### Derived from

ConfigurationPageBase, Ui_DebuggerPythonPage

### Class Attributes

None

### Class Methods

None

### Methods

DebuggerPythonPage | Constructor
on_debugClientButton_clicked | Private slot to handle the Debug Client selection.
on_interpreterButton_clicked | Private slot to handle the Python interpreter selection.
save | Public slot to save the Debugger Python configuration.

### Static Methods

None

#### DebuggerPythonPage (Constructor)

DebuggerPythonPage()

Constructor

#### DebuggerPythonPage.on_debugClientButton_clicked

on_debugClientButton_clicked()

Private slot to handle the Debug Client selection.

#### DebuggerPythonPage.on_interpreterButton_clicked

on_interpreterButton_clicked()

Private slot to handle the Python interpreter selection.

#### DebuggerPythonPage.save

save()

Public slot to save the Debugger Python configuration.

Up

## create

create(dlg)

Module function to create the configuration page.

dlg
  reference to the configuration dialog

Returns:
  reference to the instantiated page (ConfigurationPageBase)

Up